/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/HLISTBOX.H__   1.2.1.4   17 Apr 1997 15:52:44   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/HLISTBOX.H__  $
** 
**    Rev 1.2.1.4   17 Apr 1997 15:52:44   ZJRD
** No change.
** 
**    Rev 1.2.1.3   16 Apr 1997 10:24:08   ZJRD
** 2.09F
** 
****************************************************************************/

// hlistbox.h : header file
//
#define MAX_TOOLBAR_BUTTON	39
#define MAX_TOOLBAR_ICON 	47 //43

#define ID_USER	   	 WM_USER 
#define ID_USER1     ID_USER +1	
#define ID_USER2     ID_USER +2
#define ID_USER3     ID_USER +3
#define ID_USER4     ID_USER +4
#define ID_USER5     ID_USER +5
#define ID_USER6     ID_USER +6
#define ID_USER7     ID_USER +7 
#define ID_USER8     ID_USER +8   
#define XM_HLISTSELECTCHANGE WM_USER+10
////////////////////////////////////////////////////////////////////////////
// CHListBox window

class CHListBox : public CWnd
{
// Construction
public:
	CHListBox();
    BOOL Create(CWnd* pParentWnd,CRect rect,UINT nID);
// Attributes
public:
   CDC* m_pdcMem; 
	int m_nActiveItem;
// Operations
public:
   void DrawButton(CDC*pDC,CDC*pdcMem,CRect rect,int);
// Implementation
public:
	virtual ~CHListBox();

protected:  
	int m_nFirst;
	int m_nScroll;

	int PointToItem(CPoint pt);
	CRect ItemToRect(int item);

	// Generated message map functions
	//{{AFX_MSG(CHListBox)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
